summaryrefslogtreecommitdiffstats
path: root/abs/core/udev/root-link.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/udev/root-link.sh')
-rwxr-xr-xabs/core/udev/root-link.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/abs/core/udev/root-link.sh b/abs/core/udev/root-link.sh
new file mode 100755
index 0000000..05273fe
--- /dev/null
+++ b/abs/core/udev/root-link.sh
@@ -0,0 +1,7 @@
+#! /bin/sh
+# Creates root symlink in /dev
+# for Arch Linux by Roman Kyrylych <Roman.Kyrylych@gmail.com>
+
+if ! [ -L /dev/root ]; then
+ln -s $(cat /proc/cmdline | sed "s: :\n:g" | grep root= | sed "s:root=::") /dev/root
+fi \ No newline at end of file